{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"Watch for changes to CalendarList resources.","properties":{"query":{"type":"object","properties":{"fields":{"description":"Selector specifying which fields to include in a partial response.","type":"string"},"prettyPrint":{"default":true,"description":"Returns response with indentations and line breaks.","type":"boolean"},"maxResults":{"description":"Maximum number of entries returned on one result page. By default the value is 100 entries. The page size can never be larger than 250 entries. Optional.","minimum":1,"type":"integer"},"minAccessRole":{"description":"The minimum access role for the user in the returned entries. Optional. The default is no restriction.","enum":["freeBusyReader","owner","reader","writer","writerWithoutPrivateAccess"],"type":"string"},"pageToken":{"description":"Token specifying which result page to return. Optional.","type":"string"},"showDeleted":{"description":"Whether to include deleted calendar list entries in the result. Optional. The default is False.","type":"boolean"},"showHidden":{"description":"Whether to show hidden entries. Optional. The default is False.","type":"boolean"},"showOwnOrganizationOnly":{"description":"Whether to show only entries for calendars from the organization. This parameter is only applicable to Google Workspace users. Optional. The default is False.","type":"boolean"},"syncToken":{"description":"Token obtained from the nextSyncToken field returned on the last page of results from the previous list request. It makes the result of this list request contain only entries that have changed since then. If only read-only fields such as calendar properties or ACLs have changed, the entry won't be returned. All entries deleted and hidden since the previous list request will always be in the result set and it is not allowed to set showDeleted neither showHidden to False.\nTo ensure client state consistency minAccessRole and showOwnOrganizationOnly query parameters cannot be specified together with nextSyncToken.\nIf the syncToken expires, the server will respond with a 410 GONE response code and the client should clear its storage and perform a full synchronization without any syncToken.\nLearn more about incremental synchronization.\nOptional. The default is to return all entries.","type":"string"}},"required":[],"additionalProperties":false},"body":{"$ref":"#/definitions/Channel"}},"required":["body"],"additionalProperties":false,"definitions":{"Channel":{"properties":{"address":{"description":"The address where notifications are delivered for this channel.","type":"string"},"expiration":{"description":"Date and time of notification channel expiration, expressed as a Unix timestamp, in milliseconds. Optional.","type":"string"},"id":{"description":"A UUID or similar unique string that identifies this channel.","type":"string"},"kind":{"default":"api#channel","description":"Identifies this as a notification channel used to watch for changes to a resource, which is \"api#channel\".","type":"string"},"params":{"additionalProperties":{"description":"Declares a new parameter by name.","type":"string"},"description":"Additional parameters controlling delivery channel behavior. Optional.","type":"object"},"payload":{"description":"A Boolean value to indicate whether payload is wanted. Optional.","type":"boolean"},"resourceId":{"description":"An opaque ID that identifies the resource being watched on this channel. Stable across different API versions.","type":"string"},"resourceUri":{"description":"A version-specific identifier for the watched resource.","type":"string"},"token":{"description":"An arbitrary string delivered to the target address with each notification delivered over this channel. Optional.","type":"string"},"type":{"description":"The type of delivery mechanism used for this channel. Valid values are \"web_hook\" (or \"webhook\"). Both values refer to a channel where Http requests are used to deliver messages.","type":"string"}},"type":"object"}}},"name":"Watch for changes to CalendarList resources.","id":"google-calendar.calendar.calendarlist.watch","example":{"body":{}},"maxRequests":1,"summary":false}}